@echo off
set _path=%path%

if "%PROCESSOR_ARCHITECTURE%" == "x86" goto intel
if "%PROCESSOR_ARCHITECTURE%" == "X86" goto intel
if "%PROCESSOR_ARCHITECTURE%" == "ALPHA" goto alpha
if "%PROCESSOR%" == "INTEL_486" goto intel
if "%PROCESSOR%" == "Alpha_AXP" goto alpha
if "%CPU%" == "i386" goto intel
if "%CPU%" == "Alpha" goto alpha

REM default is intel (Windows 95)
goto intel

@echo Your hardware type could not be determined.
@echo To install this software on your NT system
@echo run SETUP from the directory that corresponds
@echo to your hardware type:
@echo     alpha\setup.exe (Alpha)
@echo     i386\setup.exe  (Intel)
pause
goto end

:alpha
set _folder=alpha
goto common

:intel
set _folder=i386
goto common

:common
set _exe=%_folder%\setup.exe
if exist %_exe% goto exe_exists
@echo.
@echo Unable to find %_exe% program.
@echo.
@echo Use an MS-DOS Command Prompt window to run this
@echo batch file (%0),
@echo after having first set your current device and
@echo directory to the location of this file.
@echo.
@echo If the problem still persists, and you extracted
@echo this batch file and related files from a zip file,
@echo be sure that you retained the directory layout of
@echo the original files when extracting them.
@echo.
@echo See the README file included with this software
@echo for additional installation information, including
@echo information about the use of network drives.
@echo.
if "%os%" == "Windows_NT" pause
goto end

:exe_exists
set path=.\%_folder%
%_exe%
goto end

:end
if     "%os%" == "Windows_NT" set path=%_path%
if not "%os%" == "Windows_NT" set path="%_path%"
set _folder=
set _exe=
set _path=
